=== src/i18n/CMakeLists.txt ===
# i18n cmake lists

cmake_minimum_required(VERSION 2.6)

SET ( Q4WINE_I18N_SOURCES
    ${CMAKE_SOURCE_DIR}/src/i18n/en_us.ts
    ${CMAKE_SOURCE_DIR}/src/i18n/ru_ru.ts
    ${CMAKE_SOURCE_DIR}/src/i18n/uk_ua.ts
    ${CMAKE_SOURCE_DIR}/src/i18n/pt_br.ts
    ${CMAKE_SOURCE_DIR}/src/i18n/es_es.ts
    ${CMAKE_SOURCE_DIR}/src/i18n/it_it.ts
)
