=== src/fuseiso/src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

SET ( Q4WINE_FUSEISO_SOURCES
    ${CMAKE_SOURCE_DIR}/src/fuseiso/src/fuseiso.c
    ${CMAKE_SOURCE_DIR}/src/fuseiso/src/isofs.c
)

SET ( Q4WINE_FUSEISO_HEADERS
    ${CMAKE_SOURCE_DIR}/src/fuseiso/src/linux/iso_fs.h
    ${CMAKE_SOURCE_DIR}/src/fuseiso/src/linux/rock.h
    ${CMAKE_SOURCE_DIR}/src/fuseiso/src/isofs.h
)

SET ( FUSE_LIB_INCLUDE_DIRS
    ${CMAKE_SOURCE_DIR}/src/fuseiso/src
)

INCLUDE_DIRECTORIES( ${GLIB_LIB_INCLUDE_DIRS} ${FUSE_LIB_INCLUDE_DIRS} )

ADD_EXECUTABLE( q4wine-mount ${Q4WINE_FUSEISO_SOURCES} ${Q4WINE_FUSEISO_HEADERS} )
SET_TARGET_PROPERTIES( q4wine-mount PROPERTIES COMPILE_FLAGS ${FUSE_LIB_CFLAGS} COMPILE_FLAGS ${GLIB_LIB_CFLAGS} )
TARGET_LINK_LIBRARIES( q4wine-mount ${FUSE_LIB_LDFLAGS} ${GLIB_LIB_LDFLAGS} ${ZIP_LIB_LDFLAGS})

install(TARGETS q4wine-mount DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
