=== debian/rules ===
#!/usr/bin/make -f

NCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)

ifeq ($(NCPUS),-1)
	NCPUS:=1
endif

ifeq ($(NCPUS),0)
	NCPUS:=1
endif

CMAKEOPTS = -DWITH_WINETRIKS=ON -DCMAKE_INSTALL_PREFIX=/usr .

config.status:
	dh_testdir
	cmake $(CMAKEOPTS)
	cp ChangeLog changelog

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE) -j$(NCPUS)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) DESTDIR=$(CURDIR)/debian/q4wine clean
	rm -f config.sub config.guess
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/q4wine install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs changelog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
